Package: groovy.org.codenarc.rule.formatting

## [Groovy] Class SpaceBeforeOpeningBraceAstVisitor

- groovy.org.codenarc.rule.formatting.SpaceBeforeOpeningBraceAstVisitor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitBlockStatement(org.codehaus.groovy.ast.stmt.BlockStatement block)`
    `` | `protected void` | `visitClassEx(org.codehaus.groovy.ast.ClassNode node)`
    `` | `void` | `visitClosureExpression(org.codehaus.groovy.ast.expr.ClosureExpression expression)`
    `` | `void` | `visitConstructor(org.codehaus.groovy.ast.ConstructorNode node)`
    `` | `void` | `visitMapEntryExpression(org.codehaus.groovy.ast.expr.MapEntryExpression expression)`
    `` | `protected void` | `visitMethodEx(org.codehaus.groovy.ast.MethodNode node)`
    `` | `void` | `visitSwitch(org.codehaus.groovy.ast.stmt.SwitchStatement statement)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractSpaceAroundBraceAstVisitor` | `indexOfClosingBrace, isNotCharacter, isNotInsideGString, isNotWhitespace, lastSourceLineOrEmpty, sourceLineOrEmpty, visitGStringExpression`

- - ### Method Detail

    - #### @Override void visitBlockStatement(org.codehaus.groovy.ast.stmt.BlockStatement block)

    - #### @Override protected void visitClassEx(org.codehaus.groovy.ast.ClassNode node)

    - #### @Override void visitClosureExpression(org.codehaus.groovy.ast.expr.ClosureExpression expression)

    - #### @Override void visitConstructor(org.codehaus.groovy.ast.ConstructorNode node)

    - #### @Override void visitMapEntryExpression(org.codehaus.groovy.ast.expr.MapEntryExpression expression)

    - #### @Override protected void visitMethodEx(org.codehaus.groovy.ast.MethodNode node)

    - #### @Override void visitSwitch(org.codehaus.groovy.ast.stmt.SwitchStatement statement)